# ip_hdr Struct Reference

`#include <ip.h>`

## Public Member Functions

| PACK_STRUCT_FIELD (uInt16 _v_hl_tos)
| PACK_STRUCT_FIELD (uInt16 _len)
| PACK_STRUCT_FIELD (uInt16 _id)
| PACK_STRUCT_FIELD (uInt16 _offset)
| PACK_STRUCT_FIELD (uInt16 _ttl_proto)
| PACK_STRUCT_FIELD (uInt16 _chksum)
| PACK_STRUCT_FIELD (struct ip_addr src)
| PACK_STRUCT_FIELD (struct ip_addr dest)

## Data Fields

u8_t | tclass1:4
u8_t | v:4
u8_t | flow1:4
u8_t | tclass2:4
u16_t | flow2
u16_t | len
u8_t | nexthdr
u8_t | hoplim
ip_addr src | dest

## Member Function Documentation

ip_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | dest | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | src | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _chksum | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _ttl_proto | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _offset | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _id | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _len | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _v_hl_tos | ) |

## Field Documentation

struct ip_addr src ip_hdr::dest

u8_t ip_hdr::flow1

u16_t ip_hdr::flow2

u8_t ip_hdr::hoplim

u16_t ip_hdr::len

u8_t ip_hdr::nexthdr

u8_t ip_hdr::tclass1

u8_t ip_hdr::tclass2

u8_t ip_hdr::v

The documentation for this struct was generated from the following files:

- ipv4/ip.h
- ipv6/ip.h